library nui_animation;

import 'package:flutter/cupertino.dart';

typedef EndAnimationListener = void Function();

class NUIAnimation{
  NUIAnimation._builder();

  static Widget crossFade({
    required Widget first,
    required Widget second,
    CrossFadeState? state,
    Duration? duration
  }){
    return AnimatedCrossFade(
        firstChild: first,
        secondChild: second,
        crossFadeState: state ?? CrossFadeState.showFirst,
        duration: duration ?? Duration(milliseconds: 500)
    );
  }

  static Widget fadeInOut({required Widget content, required double opacity, Duration? duration}){
    return AnimatedOpacity(
      opacity: opacity,
      duration: duration ?? Duration(milliseconds: 500),
      child: content,
    );
  }
}
